Subject: Re: linux-next: mfd tree build failure

From: Mark Brown <[email-masked]>
Date: Mon, 23 Nov 2009 13:11:13 +0000

On Mon, Nov 23, 2009 at 01:29:04PM +0100, Samuel Ortiz wrote:

> True. Mark, I think we should get those symbols exported, unless you have a
> better idea ? Having wm831x as a boolean choice from Kconfig doesnt sound too
> god to me.

I don't see getting them exported flying, especially not in the
timeframe we've got for the merge window.  Keeping them non-exported has
been a deliberate decision on the part of the genirq maintainers.  I'll
send a patch making it built in.

Given the typical applications for these parts building the driver in
isn't the end of the world - there's a reasonable chance it'll be forced
built in for other reasons due to device-specific configuration.